Subject: [Pppext] PPPoE - VJ compression support.

From: "Mania" <[email-masked]>
Date: Wed, 1 Dec 2004 20:04:54 +0530

Hi All,

Most of the freeware PPPoE clients do not seem to support VJ compression on
the PPPoE sessions and it looks like VJ compression is not supported on
PPPoE
sessions.  I am not able to locate any references in the standard RFC
mentioning about VJ compression on PPPoE sessions.  I understand that VJ is
primarily used  for PPP over HDLC (slow-speed links)/ISDN links.

Could anyone clarify whether VJ compression needs to supported on PPPoE
sessions or not ?

Thanks in advance
Mani.

***************************************************************************
This message is proprietary to Future Software Limited (FSL)
and is intended solely for the use of the individual to whom it
is addressed. It may contain  privileged or confidential information
and should not be circulated or used for any purpose other than for
what it is intended.

If you have received this message in error, please notify the
originator immediately. If you are not the intended recipient,
you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message.
FSL accepts no responsibility for loss or damage arising from
the use of the information transmitted by this email including
damage from virus.
***************************************************************************

_______________________________________________
Pppext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pppext

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 1 Dec 2004 21:31:05 +0100

> Could anyone clarify whether VJ compression needs to supported on PPPoE

It certainly does not need to be (as has already been answered).

VJ compression also is a poor match to today's TCPs.
With options such as SACK and timestamps prevalent, RFC 1144 simply 
does not work any longer.

The IETF ROHC working group is in the process of finishing a new TCP 
header compression scheme that will work with current TCPs and also 
anticipates innovations like ECN.

Gruesse, Carsten